EDIT - task #8159

Replace LocalSelectionTransfer for DnD operations
03/04/2019 07:42 AM - Patrick Plitzner

Status: New Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Unassigned CDM tickets

Severity: normal

Description

Using LocalSelectionTransfer is in most cases too generic. It is better to define an own TransferData and assign the dragged data to
the event in DragSourceAdapter.dragSetData()

@Override
public void dragSetData (DragSourceEvent event) {
event.data = dragData;

}

If LocalSelectionTransfer is used make sure to set the selection to null when the operation is done in
DragSourceAdapter.dragFinished()

@Override

public void dragFinished (DragSourceEvent event) ({
super.dragFinished (event) ;
LocalSelectionTransfer.getTransfer () .setSelection (null);

History

#1 - 12/03/2019 01:12 PM - Katja Luther

- Assignee changed from Patrick Plitzner to Katja Luther
